Subject: Re: [tram] Suresh Krishnan's Discuss on draft-ietf-tram-stun-pmtud-10: (with DISCUSS)

From: "Felipe Garrido (fegarrid)" <[email-masked]>
Date: Mon, 19 Aug 2019 14:06:29 +0000

Hi Suresh,

Just check in. Were you able to review the language below? Does it satisfy your Discuss?

Thanks,
-Felipe

From: tram <[email-masked]> on behalf of "Felipe Garrido (fegarrid)" <[email-masked]>
Date: Monday, July 15, 2019 at 10:10 AM
To: "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [tram] Suresh Krishnan's Discuss on draft-ietf-tram-stun-pmtud-10: (with DISCUSS)

Hi Suresh,

Does the following language satisfy your Discuss? Similar references to IPv6 packets would be added to the other sections.

Thanks,
-Felipe

4.1.  Simple Probing Mechanism

   The Simple Probing mechanism is implemented by sending a Probe
   Request with a PADDING [RFC5780] attribute over UDP with the DF bit
   set in the IP header for IPv4 packets and IPv6 packets without
   the Fragment Header included.  A router on the path to the server can
  reject this request with an ICMP message or drop it.

4.2.2.  Receiving an ICMP Packet

   If an ICMP packet "Fragmentation needed" or "Packet Too Big" is received then this is
   interpreted as a Probe Failure, as defined in [RFC4821] Section 7.5.

Suresh Krishnan has entered the following ballot position for
draft-ietf-tram-stun-pmtud-10: Discuss

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-tram-stun-pmtud/

----------------------------------------------------------------------
DISCUSS:
----------------------------------------------------------------------

Section 4.1.x and 4.2.x

Please specify how this simple probing mechanism will work with IPv6. It
shouldn't be too difficult to do (cleanup references to the DF bit, use Type 2
"Packet Too Big" to identify failures etc.). Similar treatment will be required
for the complete probing mechanism as well.